%define  upstream_name eZComponents
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents
Version:	2009.2.1
Release:	%mkrel 2
Summary:	Super package to install a complete release of eZ Components
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://components.ez.no/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires:    	ezcomponents-Archive >= 1.4.1
Requires:    	ezcomponents-Authentication  >= 1.3.1
Requires:    	ezcomponents-AuthenticationDatabaseTiein  >= 1.1
Requires:    	ezcomponents-Base     >= 1.8
Requires:    	ezcomponents-Cache     >= 1.5
Requires:    	ezcomponents-Configuration     >= 1.3.5
Requires:    	ezcomponents-ConsoleTools     >= 1.6.1
Requires:    	ezcomponents-Database     >= 1.4.7
Requires:    	ezcomponents-DatabaseSchema     >= 1.4.4
Requires:    	ezcomponents-Debug     >= 1.2.1
Requires:    	ezcomponents-Document     >= 1.3.1
Requires:    	ezcomponents-EventLog     >= 1.4
Requires:    	ezcomponents-EventLogDatabaseTiein     >= 1.0.2
Requires:    	ezcomponents-Execution     >= 1.1.1
Requires:    	ezcomponents-Feed     >= 1.3
Requires:    	ezcomponents-File     >= 1.2
Requires:    	ezcomponents-Graph     >= 1.5
Requires:    	ezcomponents-GraphDatabaseTiein     >= 1.0.1
Requires:    	ezcomponents-ImageAnalysis     >= 1.1.3
Requires:    	ezcomponents-ImageConversion   >= 1.3.8
Requires:    	ezcomponents-Mail     >= 1.7.1
Requires:    	ezcomponents-MvcTools     >= 1.1.3
Requires:    	ezcomponents-MvcAuthenticationTiein     >= 1.0
Requires:    	ezcomponents-MvcFeedTiein     >= 1.0
Requires:    	ezcomponents-MvcMailTiein     >= 1.0.1
Requires:    	ezcomponents-MvcTemplateTiein     >= 1.0
Requires:    	ezcomponents-PersistentObject     >= 1.7.1
Requires:    	ezcomponents-PersistentObjectDatabaseSchemaTiein     >= 1.3
Requires:    	ezcomponents-PhpGenerator     >= 1.0.6
Requires:    	ezcomponents-Search     >= 1.0.9
Requires:    	ezcomponents-SignalSlot     >= 1.1.1
Requires:    	ezcomponents-SystemInformation     >= 1.0.8
Requires:    	ezcomponents-Template     >= 1.4.2
Requires:    	ezcomponents-TemplateTranslationTiein     >= 1.1.1
Requires:    	ezcomponents-Translation     >= 1.3.2
Requires:    	ezcomponents-TranslationCacheTiein     >= 1.1.2
Requires:    	ezcomponents-Tree     >= 1.1.4
Requires:    	ezcomponents-TreeDatabaseTiein     >= 1.1.1
Requires:    	ezcomponents-TreePersistentObjectTiein     >= 1.0
Requires:    	ezcomponents-Url     >= 1.2.2
Requires:    	ezcomponents-UserInput     >= 1.4
Requires:    	ezcomponents-Webdav     >= 1.1.4
Requires:    	ezcomponents-Workflow     >= 1.4.1
Requires:    	ezcomponents-WorkflowDatabaseTiein     >= 1.4
Requires:    	ezcomponents-WorkflowEventLogTiein     >= 1.1
Requires:    	ezcomponents-WorkflowSignalSlotTiein     >= 1.0
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components



%description
This super package provides dependencies to every other eZ Component to
install those all at once. To perform this, simply do <$ pear install -a
eZComponents>.


%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/eZComponents.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/eZComponents.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/eZComponents
fi

%files
%defattr(-,root,root)
%{peardir}/*
%{xmldir}/eZComponents.xml

%changelog
* Mon Jul 18 2011 spuhler <spuhler> 2009.2.1-2.mga2
+ Revision: 125658
- increased rel to 2
-Requires:    	ezcomponents-php-pear
-Requires:    	ezcomponents-php-pear-channel-components
-Requires:    	ezcomponents-Archivev ersion >= 1.4.1
  +Requires:    	php-pear
  +Requires:    	php-pear-channel-components
  +Requires:    	ezcomponents-Archive >= 1.4.
-Requires:    	ezcomponents-ImageCon         >= 1.3.8
  +Requires:    	ezcomponents-ImageConversion   >= 1.3.8
-Source0:	http://pear.phpunit.de/get/%%upstream_name-%%{version}.tgz
  +Source0:	http://components.ez.no/get/%%upstream_name-%%{version}.tgz

* Sun Jul 17 2011 spuhler <spuhler> 2009.2.1-1.mga2
+ Revision: 125461
- imported package ezcomponents

